#ifndef CONF_H
#define CONF_H

struct listenerList;

typedef struct conf {
	struct date* date;
	char title[30];
	char speaker[20];
	int day;
	int month;
	int year;
	struct listenerList* listeners;
	struct conf* next;
} tConf;

typedef struct confList {
	struct tConf* conf;
	struct tConfList* next;
} tConfList;

typedef struct listener {
	char name[20];
	int age;
	int level;
	struct confList* confs;
	struct listener* prev;
	struct listener* next;
} tListener;

typedef struct listenerList {
	struct tListener* listener;
	struct tListenerList* next;
} tListenerList;

typedef tConf* ptConf;
typedef tListener* ptListener;
typedef tConfList* ptConfList;
typedef tListenerList* ptListenerList;

ptConf newConfChain();
void addConf(ptConf confChainStart, char title[], char speaker[], int day, int month, int year);
ptListener newListenerChain();
void addListener(ptListener listenerChain, char name[], int age, int level);

#endif // CONF_H